using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.Repository.Request
{
    public class RequestAddUser
    {
        [Required(ErrorMessage = "NameIsEmpty")]
        public string nickname { get; set; }

        [Required(ErrorMessage = "PasswordIsEmpty")]
        public string password { get; set; }

        public string face { get; set; }

        public string email { get; set; }

        [Required(ErrorMessage = "MobileIsEmpty")]
        public string mobile { get; set; }

        public int roleid { get; set; }
    }

    public class RequestUpdateUser : RequestAddUser
    {
        [Required(ErrorMessage = "IdIsEmpty")]
        public int id { get; set; }
    }
}
